CVE-2019-12854

Impact:
Moderate
Public Date:
2019-07-12
CWE:
CWE-400
Bugzilla:
1730523: CVE-2019-12854 squid: denial of service in cachemgr.cgi

The MITRE CVE dictionary describes this issue as:

Due to incorrect string termination, Squid cachemgr.cgi 4.0 through 4.7 may access unallocated memory. On systems with memory access protections, this can cause the CGI process to terminate unexpectedly, resulting in a denial of service for all clients using it.

Find out more about CVE-2019-12854 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

Red Hat Enterprise Linux 8:
This vulnerability is currently targeted to be addressed in an upcoming release.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 4.3
CVSS3 Base Metrics CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Adjacent Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact Low

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 squid:4/squid Affected
Red Hat Enterprise Linux 7 squid Not affected
Red Hat Enterprise Linux 6 squid34 Not affected
Red Hat Enterprise Linux 6 squid Not affected
Red Hat Enterprise Linux 5 squid Not affected
Unless explicitly stated as not affected, all previous versions of packages in any minor update stream of a product listed here should be assumed vulnerable, although may not have been subject to full analysis.

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation